
local demo_dir = gh_utils.get_demo_dir()
local lib_dir = gh_utils.get_lib_dir() 		
dofile(lib_dir .. "lua/gxl_stdlib.lua")   





winW, winH = gh_window.getsize(0)



color_prog = gh_node.getid("color_prog")




camera_ortho = gh_camera.create_ortho(-winW/2, winW/2, -winH/2, winH/2, 1.0, 10.0)
gh_camera.set_viewport(camera_ortho, 0, 0, winW, winH)
gh_camera.set_position(camera_ortho, 0, 0, 4)



-- vertical quad for the background array of quads
vquad = gh_mesh.create_quad(20, winH)

-- quad for the blue and yellow feet
quad_width = 80
quad = gh_mesh.create_quad(quad_width, 20)



-- Background color
bgcolor = {r=1.0, g=1.0, b=1.0, a=1.0}

-- Color of vertical stripes
vstripescolor = {r=0.0, g=0.0, b=0.0, a=1.0}


display_vstripes = 1




gh_renderer.set_vsync(1)


last_time = gh_utils.get_elapsed_time()

-- initial position of the feet
px = -winW/2 + quad_width/2 

-- move speed in pixels / seconds
move_speed_x = 50
